
using Extraction_Donnees.Extraction;
using Extraction_Donnees.Extraction_EXECL;
using Interface;
using Modele.Classe;
using NPOI.SS.Formula.Functions;

/*
var p = "C:\\Users\\Jolys Enzo\\home\\BUT\\Projet\\Sae4.01\\Projet\\R-Dash_APP\\Extraction_Excel_Test\\tmp.xls";

var sesh = await Excel.TestExcel2(p);


if (sesh == null)
{
    Console.WriteLine("L READ G");
}
else
{
    Console.WriteLine(sesh.ToString());
    foreach (var tour in sesh.Tours)
    {
        Console.WriteLine(tour.ToString());
    }
}

Console.WriteLine("Tours : " + sesh.Tours.Count);
*/

IApi data = new Extraction();
//"C:\\Users\\Jolys Enzo\\home\\BUT\\Projet\\Sae4.01\\Projet\\R-Dash_APP\\Extraction_Excel_Test\\tmp.xls"
Session session = await Excel.TestExcel2( "C:\\Users\\zinn1\\source\\repos\\Serveur-Api\\Sources\\Extraction_Excel_Test\\tmp.xls");
Console.WriteLine("Start !");
//await data.AddSession(session, "test_PILOTE", "test_CIRCUIT","Session_test","Championnat");
Console.WriteLine(session.ToString());
Console.WriteLine("Fini !");
